Index: /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11237)
+++ /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11238)
@@ -13,5 +13,5 @@
 
 <?lua
-  include("templates/spaceshipAssff.oxt")
+  include("templates/fastship.oxt")
   include("templates/spaceshipPirate.oxt")
 ?>
@@ -51,311 +51,20 @@
 
     <!-- ------------------SpawnPoint----------------- -->
-    <SpawnPoint position="0,-2100,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="true" >
-      <events>
-        <activity>
-          <EventTrigger invert="true">
-            <events>
-                <trigger>
-                    <EventListener event="checkpoint2" />
-                </trigger>
-            </events>
-          </EventTrigger>
-        </activity>
-      </events>
+    <SpawnPoint position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=fastship active="true" >
     </SpawnPoint>
-    
-    <!-- ------------------CheckPoints----------------- -->
-    <OldRaceCheckPoint name="checkpoint1" position="0,-2000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
 
-    <OldRaceCheckPoint name="checkpoint2" position="0,-900,2300" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="1" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <SpawnPoint position="0,0,0" lookat="0,1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint2" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint3" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
+        <Model mesh="axes.mesh" scale="10" position="200,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="400,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="600,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="800,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1000,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1100,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1200,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1300,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1400,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1500,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1600,0,0"/>
+        <Model mesh="axes.mesh" scale="10" position="1700,0,0"/>
 
-    <OldRaceCheckPoint name="checkpoint3" position="0,700,2700" stayActive="true" direction="0,0,1" collisionType="static" scale="1" distance="40" checkpointindex="2" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <SpawnPoint position="0,0,0" lookat="0,1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint3" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint4" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint4" position="0,2100,2300" stayActive="true" direction="0,1,1" collisionType="static" scale="1" distance="40" checkpointindex="3" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger3" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint4" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint5" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint5" position="0,2200,500" stayActive="true" direction="0,1,0" collisionType="static" scale="1" distance="40" checkpointindex="4" islast="false">
-        <attached>
-        <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        <DistanceTrigger name="trigger4" position="0,0,0" distance=40 stayActive="true" />
-        <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-            <events>
-            <activity>
-                <Trigger mode="xor" invert="true" >
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint5" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                    <EventTrigger invert="true">
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint6" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </Trigger>
-            </activity>
-            </events>
-        </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint6" position="0,1500,-800" stayActive="true" direction="0,1,-1" collisionType="static" scale="1" distance="40" checkpointindex="5" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger5" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint6" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint7" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint7" position="0,200,-1900" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="6" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger6" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <Trigger mode="xor" invert="true" >
-                        <EventTrigger>
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint7" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                        <EventTrigger invert="true">
-                            <events>
-                                <trigger>
-                                    <EventListener event="checkpoint8" />
-                                </trigger>
-                            </events>
-                        </EventTrigger>
-                    </Trigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint8" position="0,-700,-1400" stayActive="true" direction="0,-1,-1" collisionType="static" scale="1" distance="40" checkpointindex="7" islast="false">
-        <attached>
-        <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        <DistanceTrigger name="trigger7" position="0,0,0" distance=40 stayActive="true" />
-        <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-            <events>
-            <activity>
-                <Trigger mode="xor" invert="true" >
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint8" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                    <EventTrigger invert="true">
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint9" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </Trigger>
-            </activity>
-            </events>
-        </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint9" position="0,-1300,-800" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="8" islast="false">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-            <DistanceTrigger name="trigger8" position="0,0,0" distance=40 stayActive="true" />
-            <SpawnPoint position="0,0,0" lookat="0,-1000,0" spawnclass=SpaceShip pawndesign=spaceshipassff active="false" >
-                <events>
-                <activity>
-                    <EventTrigger>
-                        <events>
-                            <trigger>
-                                <EventListener event="checkpoint9" />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </activity>
-                </events>
-            </SpawnPoint>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
-
-    <OldRaceCheckPoint name="checkpoint10" position="0,-2100,0" collisionType="static" scale="1" distance="40" checkpointindex="9" islast="true" timelimit="150">
-        <attached>
-        <   Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
-            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
-        </collisionShapes>
-    </OldRaceCheckPoint>
   </Scene>
 </Level>
Index: /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11238)
+++ /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11238)
@@ -0,0 +1,128 @@
+<Template name=fastship>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 500
+   auxilaryThrust    = 50
+   rotationThrust    = 70
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 500
+   boostPowerRate        = 5
+   boostRate             = 10
+   boostCooldownDuration = 10
+
+   shakeFrequency = 60
+   shakeAmplitude = 30
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <explosion>
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/weaponSettingsAssff.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 300
+   speedback      = 100
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+   
+   accelerationfront     = 1000
+   accelerationbrake     = 1000
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>