Index: code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11238)
+++ code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11239)
@@ -32,5 +32,5 @@
   
   <!-- SOUNDS & MUSIC -->
-    <WorldSound name="scoreSound" position="0,-2100,0" source="sounds/ReadyGo.ogg" >
+  <!--  <WorldSound name="scoreSound" position="0,-2100,0" source="sounds/ReadyGo.ogg" >
       <events>
         <play>
@@ -38,8 +38,41 @@
         </play>
       </events>
+    </WorldSound> -->
+  
+<WorldSound name="Countdown" position="0,-2100,0" source="sounds/Countdown.ogg" >
+      <events>
+        <play>
+          <EventListener event="start1" />
+        </play>
+      </events>
     </WorldSound>
-    <DistanceTrigger name="start" position="0,-2100,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
-  
-    <WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" />
+
+
+<WorldSound name="Go" position="0,-2100,0" source="sounds/Go.ogg" >
+      <events>
+        <play>
+          <EventListener event="go" />
+        </play>
+      </events>
+    </WorldSound>
+
+<WorldSound name="racetheme" position="0,-2100,0" source="sounds/racetheme.ogg" >
+      <events>
+        <play>
+          <EventListener event="racetheme" />
+        </play>
+      </events>
+    </WorldSound>
+
+    <DistanceTrigger name="start1" position="0,-2100,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
+        <DistanceTrigger name="go" position="0,-2100,0"  target="Pawn" distance=100 stayActive="true" delay=10.5  />
+         <DistanceTrigger name="racetheme" position="0,-2100,0"  target="Pawn" distance=100 stayActive="true" delay=10.7  />
+
+
+
+
+      <WorldAmbientSound source="racetheme.ogg" looping="true" playOnLoad="true" />
+
+  <!--   <WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" /> -->
   
 
Index: code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw
===================================================================
--- code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw	(revision 11238)
+++ code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw	(revision 11239)
@@ -1,4 +1,4 @@
 <LevelInfo
- name = "Old Space Race"
+ name = "Space Race"
  description = "Have a furious Race in Space: Reach the checkpoints as fast as possible."
  tags = "gametype"
@@ -39,4 +39,16 @@
       </events>
     </WorldSound>
+
+  <WorldSound name="Countdown" position="0,-2100,0" source="sounds/Countdown.ogg" >
+      <events>
+        <play>
+          <EventListener event="start" />
+        </play>
+      </events>
+    </WorldSound>
+
+
+
+
     <DistanceTrigger name="start" position="0,-2100,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
   
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11238)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11239)
@@ -84,5 +84,5 @@
         Gametype::start();
 
-        std::string message("The match has started! Reach the check points as quickly as possible!");
+        std::string message("Take Them All!");
         this->getGametypeInfo()->sendAnnounceMessage(message);
         ChatManager::message(message);
@@ -102,3 +102,4 @@
     }
 
+
 }
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11238)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11239)
@@ -36,5 +36,5 @@
 
     /**
-/sdaasdasdasdasdas
+/sdaasdasdasdasdas	
     */
     class _GametypesExport SpaceRaceBot: public Bot