Index: code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11246)
@@ -33,4 +33,9 @@
 #include "util/Convert.h"
 #include "util/Math.h"
+#include "SpaceRaceBot.h"
+#include "items/Engine.h"
+#include "controllers/HumanController.h"
+
+
 
 namespace orxonox
@@ -43,5 +48,5 @@
         this->checkpointsReached_ = 0;
         this->bTimeIsUp_ = false;
-        this->numberOfBots_ = 0;
+        this->numberOfBots_ = 1;
     }
 
@@ -84,9 +89,42 @@
         Gametype::start();
 
-        std::string message("Take Them All!");
+   if (true)
+        {
+            this->spawnPlayersIfRequested();
+            this->cantMove_ = true;
+
+            for (Engine* engine : ObjectList<Engine>()){
+                engine->setActive(false);
+                
+
+            }
+            
+        }
+
+        
+
+        std::string message("BE FAST BE FIRST");
         this->getGametypeInfo()->sendAnnounceMessage(message);
         ChatManager::message(message);
+
+Timer* countdownTimer = new Timer();
+        countdownTimer->setTimer(11, false, createExecutor(createFunctor(&OldSpaceRace::countdownFinished, this)));
     }
 
+    void OldSpaceRace::countdownFinished()
+    {
+
+        std::string message("RACE STARTED ");
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+
+
+    for (Engine* engine : ObjectList<Engine>())
+                engine->setActive(true);
+    
+
+
+    }
+ 
     void OldSpaceRace::newCheckpointReached()
     {
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11246)
@@ -56,9 +56,12 @@
 
             virtual void start() override;
+
             virtual void end() override;
+
 
             virtual void newCheckpointReached();
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
-                                                        //<! This is only a temporary solution. Better: create racingBots.
+            virtual  void countdownFinished();
+                                          //<! This is only a temporary solution. Better: create racingBots.
 
             inline void setCheckpointsReached(int n)
@@ -72,4 +75,5 @@
 
         private:
+            bool cantMove_;                                            ///< Helper variable, used to stall the engines before the race starts.
             int checkpointsReached_; //The current number of check points reached by the player.
             std::set<float> scores_; //The times of the players are saved in a set.
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11246)
@@ -49,7 +49,13 @@
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
-        this->numberOfBots_ = 0; // quick fix: don't allow default-bots to enter the race
+        this->numberOfBots_ = 1; // quick fix: don't allow default-bots to enter the race
                                  // remove this line, if a raceBot has been created.
     }
+
+
+
+
+
+
 
     void SpaceRace::end()
@@ -78,4 +84,9 @@
     }
 
+    
+
+
+
+
     void SpaceRace::tick(float dt)
     {
@@ -100,9 +111,16 @@
             this->cantMove_= false;
 
-            std::string message = "The race begins! Reach the check points as quickly as possible!";
+
+
+            std::string message = "Hello!";
             this->getGametypeInfo()->sendAnnounceMessage(message);
             ChatManager::message(message);
         }
     }
+
+
+
+
+
 
     void SpaceRace::newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player)
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.h	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRace.h	(revision 11246)
@@ -57,4 +57,5 @@
             virtual ~SpaceRace() {}
 
+
             virtual void tick(float dt) override;
 
Index: code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11246)
@@ -16,5 +16,5 @@
  *   GNU General Public License for more details.
  *
- *   You should have received a copy of the GNU General Public License
+ *   You should have     a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Index: code/branches/SpaceRace_HS16/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/SpaceRace_HS16/src/orxonox/controllers/HumanController.h	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/orxonox/controllers/HumanController.h	(revision 11246)
@@ -93,7 +93,7 @@
             //friend class, for mouselook
             friend class Map;
+            static HumanController* localController_s;
 
         protected:
-            static HumanController* localController_s;
             bool controlPaused_;
 
Index: code/branches/SpaceRace_HS16/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- code/branches/SpaceRace_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11239)
+++ code/branches/SpaceRace_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11246)
@@ -58,4 +58,6 @@
         soundList_.emplace_back("Ganymede.ogg");
         soundList_.emplace_back("luke_grey_-_hypermode.ogg");
+        soundList_.emplace_back("racetheme.ogg");
+
 
     }