Index: code/branches/HUD_HS16/data/defaultConfig/keybindings.ini
===================================================================
--- code/branches/HUD_HS16/data/defaultConfig/keybindings.ini	(revision 11251)
+++ code/branches/HUD_HS16/data/defaultConfig/keybindings.ini	(revision 11252)
@@ -70,7 +70,7 @@
 KeyNoConvert=
 KeyNumLock=
-KeyNumRow0=
-KeyNumRow1="toggleFormationFlight"
-KeyNumRow2="FFChangeMode"
+KeyNumRow0="useUnusePickup"
+KeyNumRow1=
+KeyNumRow2=
 KeyNumRow3=
 KeyNumRow4=
@@ -80,5 +80,5 @@
 KeyNumRow8=
 KeyNumRow9=
-KeyNumpad0=
+KeyNumpad0="useUnusePickup"
 KeyNumpad1=
 KeyNumpad2=
@@ -96,6 +96,6 @@
 KeyNumpadPeriod=
 KeyNumpadSubtract=
-KeyO=
-KeyP=
+KeyO="toggleFormationFlight"
+KeyP="FFChangeMode"
 KeyPageDown="scale -1 rotateRoll"
 KeyPageUp=
Index: code/branches/HUD_HS16/data/gui/scripts/KeyBindMenu.lua
===================================================================
--- code/branches/HUD_HS16/data/gui/scripts/KeyBindMenu.lua	(revision 11251)
+++ code/branches/HUD_HS16/data/gui/scripts/KeyBindMenu.lua	(revision 11252)
@@ -36,4 +36,5 @@
     table.insert(commandList, "pause")
     table.insert(commandList, "printScreen")
+    table.insert(commandList, "useUnusePickup")
     if orxonox.GUIManager:inDevMode() then
         table.insert(commandList, "printScreenHD")
@@ -71,4 +72,5 @@
     table.insert(nameList, "Pause")
     table.insert(nameList, "Screenshot")
+    table.insert(nameList, "Pickup 0")
     if orxonox.GUIManager:inDevMode() then
         table.insert(nameList, "HD screenshot")
Index: code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11251)
+++ code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11252)
@@ -43,4 +43,5 @@
 #include "core/input/KeyBinderManager.h"    //for keybinding
 #include "core/input/KeyBinder.h"           //for keybinding
+#include "core/command/ConsoleCommandIncludes.h"
 
 #include "infos/PlayerInfo.h"
@@ -66,4 +67,7 @@
     RegisterAbstractClass(PickupManager).inheritsFrom<PickupListener>();
 
+    SetConsoleCommand2("useUnusePickup", &PickupManager::useUnusePickup).addShortcut().setActive(true);
+
+   // SetConsoleCommand("HumanController", "fire",           &HumanController::fire          ).addShortcut().keybindMode(KeybindMode::OnHold);
     /**
     @brief
@@ -290,9 +294,9 @@
             this->pickups_[index] = pickup;
 
-             //Add pickup keybinding
-            if( KeyBinderManager::exists() )
-                addKeyBindingForNewPickup(pickup, index);
-            else
-                orxout() << "Could not create new keybinding because KeyBinderManager doesn't exist." << endl;
+            //  //Add pickup keybinding
+            // if( KeyBinderManager::exists() )
+            //     addKeyBindingForNewPickup(pickup, index);
+            // else
+            //     orxout() << "Could not create new keybinding because KeyBinderManager doesn't exist." << endl;
         }
         else // If it was dropped, it is removed from the required lists.
@@ -302,13 +306,13 @@
             index = it->second;
 
-            //Remove pickup keybinding
-            if( KeyBinderManager::exists() )
-                  removeKeyBindingForOldPickup(pickup, index);
-            else
-                orxout() << "Could not delete old keybinding because KeyBinderManager doesn't exist." << endl;
+            // //Remove pickup keybinding
+            // if( KeyBinderManager::exists() )
+            //       removeKeyBindingForOldPickup(pickup, index);
+            // else
+            //     orxout() << "Could not delete old keybinding because KeyBinderManager doesn't exist." << endl;
 
             // Remove the Pickupable from the indexes_ and pickups_ list.
             this->indexes_.erase(pickup);
-            this->pickups_.find(index)->second=nullptr; //set to null, so that can be indentified as free slot by getPickupIndex()
+            this->pickups_.find(index)->second=nullptr; //set to null, so that can be identified as free slot by getPickupIndex()
         }
 
@@ -339,33 +343,52 @@
 
     //PRECONDITION: KeyBinderManager exists, pickup is not NULL, 0 < index < 9
-    //FUNCTION: Adds a keybinding for the new pickup using its index
-    void PickupManager::addKeyBindingForNewPickup(Pickupable* pickup, uint32_t index)
-    {
-        std::string name="Keys.KeyNumpad";
-        std::string binding="";
-
-        name.append(std::to_string(index));
-
-        KeyBinderManager::getInstance().getCurrent()->setBinding("KeyESC", name, true); // TODO do not set all bindings to ESC
-
-        orxout() << "Keybinding for item " << index << " has been added on keybinding " << name << endl;
-
-
-    }
+    //FUNCTION: Adds a keybinding for the new pickup using its index and sets a console command
+    // void PickupManager::addKeyBindingForNewPickup(Pickupable* pickup, uint32_t index)
+    // {
+    //     std::string name="Keys.KeyNumpad";
+    //     std::string binding="useOrUnusePickup";
+
+    //     name.append(std::to_string(index));
+    //     binding.append(std::to_string(index));
+
+    //     SetConsoleCommand(binding, &PickupManager::useUnusePickup(pickup, index));
+    //     KeyBinderManager::getInstance().getCurrent()->setBinding(binding, name, true); 
+
+    //     orxout() << "Keybinding for item " << index << " has been added on keybinding " << name << endl;
+
+
+    // }
 
     //PRECONDITION: KeyBinderManager exists, pickup is not NULL, 0 < index < 9
     //FUNCTION: Removes the keybinding of the pickup using its index
-    void PickupManager::removeKeyBindingForOldPickup(Pickupable* pickup, uint32_t index)
-    {
-        std::string name="Keys.KeyNumpad";
-        std::string binding="";
-
-        name.append(std::to_string(index));
-
-        KeyBinderManager::getInstance().getCurrent()->setBinding("", name, true); 
-
-        orxout() << "Keybinding for item " << index << " has been removed on keybinding " << name << endl;
-
-    }
+    // void PickupManager::removeKeyBindingForOldPickup(Pickupable* pickup, uint32_t index)
+    // {
+    //     std::string name="Keys.KeyNumpad";
+    //     std::string binding="";
+
+    //     name.append(std::to_string(index));
+
+    //     SetConsoleCommand(binding, nullptr);
+    //     KeyBinderManager::getInstance().getCurrent()->setBinding("", name, true); 
+
+    //     orxout() << "Keybinding for item " << index << " has been removed on keybinding " << name << endl;
+
+    // }
+
+    //This function is called by the command line or by the key binding
+    //it uses or unuses the pickup, depending on its current state
+    void PickupManager::useUnusePickup() //uint32_t index
+    {
+        // orxout() << "Hello there i was here " << index << endl;  
+        orxout() << "Hello there i was here " << endl; 
+        // Pickupable* pickup=pickups_.find(index)->second;
+        // if(pickup==nullptr) return;                       //pickup does not exist
+      
+        // if(pickup->used)
+        //     usePickup(pickup, false);
+        // else
+        //     usePickup(pickup, true);
+    }
+
 
     /**
Index: code/branches/HUD_HS16/src/modules/pickup/PickupManager.h
===================================================================
--- code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11251)
+++ code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11252)
@@ -135,4 +135,6 @@
 
             void dropPickup(uint32_t pickup); //!< Drop the input Pickupable.
+            //void useUnusePickup(uint32_t index);
+            void useUnusePickup(); //tolua_export
             void usePickup(uint32_t pickup, bool use); //!< Use (or unuse) the input Pickupable.
              /**
Index: code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h	(revision 11251)
+++ code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h	(revision 11252)
@@ -69,5 +69,4 @@
             void stopBoosting(void);
 
-
             static void greet();
             static void switchCamera();