Index: code/branches/HUD_HS16/data/defaultConfig/keybindings.ini
===================================================================
--- code/branches/HUD_HS16/data/defaultConfig/keybindings.ini	(revision 11252)
+++ code/branches/HUD_HS16/data/defaultConfig/keybindings.ini	(revision 11253)
@@ -70,24 +70,24 @@
 KeyNoConvert=
 KeyNumLock=
-KeyNumRow0="useUnusePickup"
-KeyNumRow1=
-KeyNumRow2=
-KeyNumRow3=
-KeyNumRow4=
-KeyNumRow5=
-KeyNumRow6=
-KeyNumRow7=
-KeyNumRow8=
-KeyNumRow9=
-KeyNumpad0="useUnusePickup"
-KeyNumpad1=
-KeyNumpad2=
-KeyNumpad3=
-KeyNumpad4=
-KeyNumpad5=
-KeyNumpad6=
-KeyNumpad7=
-KeyNumpad8=
-KeyNumpad9=
+KeyNumRow0="useUnusePickup 0"
+KeyNumRow1="useUnusePickup 1"
+KeyNumRow2="useUnusePickup 2"
+KeyNumRow3="useUnusePickup 3"
+KeyNumRow4="useUnusePickup 4"
+KeyNumRow5="useUnusePickup 5"
+KeyNumRow6="useUnusePickup 6"
+KeyNumRow7="useUnusePickup 7"
+KeyNumRow8="useUnusePickup 8"
+KeyNumRow9="useUnusePickup 9"
+KeyNumpad0="useUnusePickup 0"
+KeyNumpad1="useUnusePickup 1"
+KeyNumpad2="useUnusePickup 2"
+KeyNumpad3="useUnusePickup 3"
+KeyNumpad4="useUnusePickup 4"
+KeyNumpad5="useUnusePickup 5"
+KeyNumpad6="useUnusePickup 6"
+KeyNumpad7="useUnusePickup 7"
+KeyNumpad8="useUnusePickup 8"
+KeyNumpad9="useUnusePickup 9"
 KeyNumpadAdd=
 KeyNumpadComma=
Index: code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11252)
+++ code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11253)
@@ -67,5 +67,5 @@
     RegisterAbstractClass(PickupManager).inheritsFrom<PickupListener>();
 
-    SetConsoleCommand2("useUnusePickup", &PickupManager::useUnusePickup).addShortcut().setActive(true);
+    SetConsoleCommand("useUnusePickup", &PickupManager::useUnusePickup).addShortcut().setActive(true);
 
    // SetConsoleCommand("HumanController", "fire",           &HumanController::fire          ).addShortcut().keybindMode(KeybindMode::OnHold);
@@ -378,15 +378,23 @@
     //This function is called by the command line or by the key binding
     //it uses or unuses the pickup, depending on its current state
-    void PickupManager::useUnusePickup() //uint32_t index
-    {
-        // orxout() << "Hello there i was here " << index << endl;  
-        orxout() << "Hello there i was here " << endl; 
-        // Pickupable* pickup=pickups_.find(index)->second;
-        // if(pickup==nullptr) return;                       //pickup does not exist
-      
-        // if(pickup->used)
-        //     usePickup(pickup, false);
-        // else
-        //     usePickup(pickup, true);
+    void PickupManager::useUnusePickup(uint32_t index) //uint32_t index
+    {
+        orxout() << "Hello there I was here " << index << endl;
+
+        PickupManager& manager = PickupManager::getInstance();
+
+        Pickupable* pickup=manager.pickups_.find(index)->second;
+        if(pickup==nullptr)
+        {
+            orxout() << "The pickup does not exist." << endl;
+            return;                       //pickup does not exist
+        }
+
+        orxout() << "The pickup is being used: " << pickup->isUsed() << endl;
+
+        if(pickup->isUsed())
+            manager.usePickup(index, false);
+        else
+            manager.usePickup(index, true);
     }
 
Index: code/branches/HUD_HS16/src/modules/pickup/PickupManager.h
===================================================================
--- code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11252)
+++ code/branches/HUD_HS16/src/modules/pickup/PickupManager.h	(revision 11253)
@@ -135,6 +135,5 @@
 
             void dropPickup(uint32_t pickup); //!< Drop the input Pickupable.
-            //void useUnusePickup(uint32_t index);
-            void useUnusePickup(); //tolua_export
+            static void useUnusePickup(uint32_t index); //tolua_export
             void usePickup(uint32_t pickup, bool use); //!< Use (or unuse) the input Pickupable.
              /**