Index: code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw
===================================================================
--- code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11242)
+++ code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11255)
@@ -1,2 +1,4 @@
+
+
 <LevelInfo
  name = "StoryModeMap"
@@ -8,10 +10,10 @@
 <?lua
   include("stats.oxo")
-  include("HUDTemplates3.oxo")
+  include("StoryModeHUD.oxo")
   include("templates/lodInformation.oxt")
-?>
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipEscort.oxt")
 
-<?lua
-  include("templates/spaceshipEscort.oxt")
+  include("templates/lodInformation.oxt")
 ?>
 
@@ -30,12 +32,43 @@
   >
 
+<StaticEntity position="0,0,0" direction="0,0,0" mass=10000 friction=0>
+<attached>
+
+    <Model position="0,0,0" mesh="Coordinates.mesh" scale=50 />
+   </attached>
+  </StaticEntity>
 
 
-<!-- Dieser Teil attached funktioniert nicht bisher -->
-<StaticEntity position="0,0,0" direction="1,0,0" mass=10000 friction=0>
+
+<StaticEntity position="0,0,0" direction="0,0,0" mass=10000 friction=0>
   <attached>
-      <Model position="0,0,0" mesh="planet.mesh" scale=6 />
+      <Model position="-800,0,0" mesh="planet.mesh" scale=8 />
+
+      <Model position="800,0,0" mesh="planet.mesh" scale=8 />
+
+      <Model position="0,-500,0" mesh="planet.mesh" scale=8 />
+
+      <Model position="0,500,0" mesh="planet.mesh" scale=8 />
+
+      <Model position="0,0,0" mesh="planet.mesh" scale=8 />
   
-    <Model position="200,0,0" mesh="planets/muunilinst.mesh" scale=8 />
+    <Model position="300,300,0" mesh="planets/muunilinst.mesh" scale=60 />
+
+    <Model position="400,400,0" mesh="planets/muunilinst.mesh" scale=20 />
+
+    <Model position="500,500,0" mesh="planets/muunilinst.mesh" scale=18 />
+
+    <Model position="600,600,0" mesh="planets/muunilinst.mesh" scale=13 />
+
+    <Model position="-100,-100,0" mesh="planets/muunilinst.mesh" scale=8 />
+
+    <Model position="-200,-200,0" mesh="planets/muunilinst.mesh" scale=8 />
+
+    <Model position="-300,-300,0" mesh="planets/muunilinst.mesh" scale=8 />
+
+    <Model position="-400,-400,0" mesh="planets/muunilinst.mesh" scale=8 />
+
+    <Model position="-500,-500,0" mesh="planets/muunilinst.mesh" scale=8 /> 
+
   </attached>
 </StaticEntity>
@@ -72,14 +105,8 @@
 
 
-
-<?lua
-  include("templates/lodInformation.oxt")
-?>
-
-
-
 <Template name=spaceshipassff>
   <ControllableEntity
    camerapositiontemplate = spaceshipassffcameras
+
    
   >
@@ -94,5 +121,5 @@
     <!--<SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />/-->
 
-    <SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" pawndesign=spaceshipassff />
+    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=spaceshipassff />
     
   </Scene>
Index: code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo
===================================================================
--- code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo	(revision 11255)
+++ code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo	(revision 11255)
@@ -0,0 +1,51 @@
+<!--
+<Template name="defaultHUD">
+  <OverlayGroup name = "defaultHUD" scale = "1, 1">
+    <ChatOverlay
+     name     = "chat"
+     position = "0.03, 0.5"
+     font     = "VeraMono"
+     caption  = ""
+     textsize = 0.025
+    />
+
+    <GametypeStatus
+     name     = "state"
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     textsize = 0.05
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+  </OverlayGroup>
+</Template>
+-->
+
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    <Map />
+
+
+    
+
+    <GUIOverlay
+      name = "QuestGUI"
+      guiname = "QuestGUI"
+      visible = "false"
+    />
+
+     <GUIOverlay
+      name = "CampaignMenu"
+      guiname = "CampaignMenu"
+      visible = "true"
+    />
+
+  </OverlayGroup>
+</Template>