Index: /code/branches/SpaceRace_HS16/data/levels/Spacerace2.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/Spacerace2.oxw	(revision 11255)
+++ /code/branches/SpaceRace_HS16/data/levels/Spacerace2.oxw	(revision 11256)
@@ -20,7 +20,7 @@
   include("templates/spaceshipPirate.oxt")
 ?>
-
+    
 <Level
- name         = "Spacerace2"
+ name         = "Spacerace2"    
  description  = "Just a few tests"
  plugins = "gametypes"
Index: /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11255)
+++ /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11256)
@@ -74,18 +74,24 @@
 
 
-    <SpaceShip position="0,0,200" lookat="0,0,0">
+
+  <!-- Das erste Bot -->
+    <SpaceShip position="20,0,0" lookat="25,0,0">
       <templates>
-        <Template link=spaceshipassff />
+        <Template link=fastship />
       </templates>
       <controller>
-        <WaypointPatrolController alertnessradius=0 team=10>
+        <WaypointPatrolController alertnessradius=1 team=10>
           <waypoints>
-            <Model mesh="cube.mesh" scale=0 position="0,-2000,1000" />
-            <Model mesh="cube.mesh" scale=0 position="0,2100,2300" />
-            <Model mesh="cube.mesh" scale=0 position="0,-400,300" />
+            <Model mesh="cube.mesh" scale=0 position="1000,0,0" />
+            <Model mesh="cube.mesh" scale=0 position="1500,1000,250" />
+            <Model mesh="cube.mesh" scale=0 position="0,400,300" />
           </waypoints>
         </WaypointPatrolController>
       </controller>
     </SpaceShip>
+
+
+
+
 
 
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11255)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11256)
@@ -33,7 +33,14 @@
 #include "util/Convert.h"
 #include "util/Math.h"
-#include "SpaceRaceBot.h"
+#include "infos/Bot.h"
 #include "items/Engine.h"
 #include "controllers/HumanController.h"
+#include "SpaceRaceBot.h"
+
+#include "core/CoreIncludes.h"
+#include "chat/ChatManager.h"
+#include "infos/PlayerInfo.h"
+#include "worldentities/pawns/Pawn.h"
+#include "core/config/ConfigValueIncludes.h"
 
 
@@ -43,10 +50,20 @@
     RegisterUnloadableClass(OldSpaceRace);
 
+
     OldSpaceRace::OldSpaceRace(Context* context) : Gametype(context)
     {
         RegisterObject(OldSpaceRace);
+        
+        //this->botclass_ = Class();
+
         this->checkpointsReached_ = 0;
         this->bTimeIsUp_ = false;
-        this->numberOfBots_ = 1;
+        this->setConfigValues();
+    }
+
+    void OldSpaceRace::setConfigValues()
+    {
+       
+    
     }
 
@@ -127,4 +144,15 @@
     }
  
+
+ void OldSpaceRace::playerEntered(PlayerInfo* player)
+    {
+        Gametype::playerEntered(player);
+
+        const std::string& message = player->getName() + " entered the game";
+        ChatManager::message(message);
+    }
+
+
+
     void OldSpaceRace::newCheckpointReached()
     {
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11255)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11256)
@@ -55,13 +55,17 @@
             virtual ~OldSpaceRace() {}
 
+                        void setConfigValues();
+
             virtual void start() override;
 
             virtual void end() override;
 
-
+            virtual void playerEntered(PlayerInfo* player) override;
             virtual void newCheckpointReached();
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
+                                          //<! This is only a temporary solution. Better: create racingBots.
+
+
             virtual  void countdownFinished();
-                                          //<! This is only a temporary solution. Better: create racingBots.
 
             inline void setCheckpointsReached(int n)
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11255)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11256)
@@ -36,3 +36,11 @@
         this->createController();
     }
+
+
+
+
+
+
+
+    
 }