Index: code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.cc
===================================================================
--- code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.cc	(revision 11256)
+++ code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.cc	(revision 11258)
@@ -15,7 +15,12 @@
         model = new Model(this->getContext());
         model->setMeshSource("cube.mesh");  // Name of the arrow file for now bottle
+        this->attach(model);
         model->setScale(3);
         //model->setOrientation(Vector3(0,0,-1));
-        model->setPosition(this->getPosition());        // this is wrong, it has to be triggered
+        model->setPosition(Vector3(0.0,0.0,0.0));        // this is wrong, it has to be triggered
+        waypoint_active = false;
+        distancetrigger = new DistanceTrigger(this->getContext());   
+        distancetrigger->setDistance(100);
+        this->attach(distancetrigger);
     }
 
@@ -25,13 +30,12 @@
 
 
-     WorldEntity::setDirection
-     WorldEntity::getPosition()
-     setOrientation()
+     //WorldEntity::setDirection
+     //WorldEntity::getPosition()
+     //setOrientation()
 
 
     void Waypoint::XMLPort(Element& xmlelement, XMLPort::Mode mode){
         SUPER(Waypoint, XMLPort, xmlelement, mode); // From the SpaceShip.cc file
-        //XMLPortObject(SpaceShip, Engine, "engines", addEngine, getEngine, xmlelement, mode); // TRY ADDING THE WAYPOINT ARROW LIKE AN ENGINE
- 
+        XMLPortParam(Waypoint, "order", getOrder, setOrder, xmlelement, mode);
 
     }
Index: code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.h
===================================================================
--- code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.h	(revision 11256)
+++ code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypoint.h	(revision 11258)
@@ -7,4 +7,5 @@
 #include "StaticEntity.h"
 #include "graphics/Model.h"
+#include "modules/objects/triggers/DistanceTrigger.h"
 
 #include <map>
@@ -38,4 +39,17 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
+            inline void enable_waypoint(){
+                this->waypoint_active = true;
+            }
+
+            inline void disable_waypoint(){
+                this->waypoint_active = false;
+            }
+
+            inline int getOrder(){
+                return order;
+            }
+
+            
 
 
@@ -44,4 +58,7 @@
             //virtual bool isCollisionTypeLegal(CollisionType type) const override;
             Model* model;
+            DistanceTrigger* distancetrigger;
+            bool waypoint_active;
+            int order;
             
             // network callbacks
Index: code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.cc
===================================================================
--- code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.cc	(revision 11256)
+++ code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.cc	(revision 11258)
@@ -1,3 +1,3 @@
-#include "Waypoint.h"
+#include "Waypointarrow.h"
 
 #include <OgreSceneNode.h>
@@ -14,5 +14,5 @@
         RegisterObject(Waypointarrow);
         model = new Model(this->getContext());
-        model->setMeshSource("axes.mesh");  // Name of the arrow file for now bottle
+        model->setMeshSource("cokebottle.mesh");  // Name of the arrow file for now bottle
         this->attach(model);
         model->setScale(3);
Index: code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.h
===================================================================
--- code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.h	(revision 11256)
+++ code/branches/QuestGuide_HS16/src/orxonox/worldentities/Waypointarrow.h	(revision 11258)
@@ -29,5 +29,5 @@
     */
 
-    class _OrxonoxExport Waypoint : public StaticEntity {
+    class _OrxonoxExport Waypointarrow : public StaticEntity {
         
         public: