Index: code/branches/BigShip_HS16/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/emptyLevel.oxw	(revision 11228)
+++ code/branches/BigShip_HS16/data/levels/emptyLevel.oxw	(revision 11259)
@@ -14,4 +14,5 @@
 <?lua
   include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
 ?>
 
@@ -29,4 +30,10 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    <MovableEntity position="0,0,0" >
+      <templates>
+        <Template link=endurance/>
+      </templates>
+    </MovableEntity>
     
   </Scene>
Index: code/branches/BigShip_HS16/data/levels/endurancetest.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/endurancetest.oxw	(revision 11228)
+++ code/branches/BigShip_HS16/data/levels/endurancetest.oxw	(revision 11259)
@@ -12,73 +12,112 @@
 ?>
 
+<!-- Spaceship included in the level -->
+
 <?lua
-include("templates/spaceshipEscort.oxt")
+include("templates/spaceshipPirate.oxt")
 ?>
 
 <Level>
-  <templates>
-    <Template name = endurance>
-      <SpaceShip
-      hudtemplate            = spaceshiphud
-      camerapositiontemplate = bigshipcameras
-      spawnparticlesource    = "Orxonox/fairytwirl"
-      spawnparticleduration  = 3
-      explosionchunks        = 6
 
-      health            = 100
-      maxhealth         = 200
-      initialhealth     = 100
+	<templates>
 
-      shieldhealth        = 100
-      initialshieldhealth = 30
-      maxshieldhealth     = 50
-      shieldabsorption    = 0.8
-      shieldrechargerate  = 1
-      shieldrechargewaittime = 1
+		
+		<Template name = endurance>
 
-      primaryThrust     = 30
-      auxilaryThrust    = 30
-      rotationThrust    = 10
+			<!-- Spaceship parameters -->
+			<SpaceShip
+			hudtemplate            = spaceshiphud
+			camerapositiontemplate = bigshipcameras
+			spawnparticlesource    = "Orxonox/fairytwirl"
+			spawnparticleduration  = 3
+			explosionchunks        = 6
 
-      lift = 1;
-      stallSpeed = 220;
+			health            = 100
+			maxhealth         = 200
+			initialhealth     = 100
 
-      boostPower            = 30
-      boostPowerRate        = 1.5
-      boostRate             = 4
-      boostCooldownDuration = 10
+			shieldhealth        = 100
+			initialshieldhealth = 30
+			maxshieldhealth     = 50
+			shieldabsorption    = 0.8
+			shieldrechargerate  = 1
+			shieldrechargewaittime = 1
 
-      shakeFrequency = 15
-      shakeAmplitude = 9
+			primaryThrust     = 30
+			auxilaryThrust    = 30
+			rotationThrust    = 10
 
-      collisionType     = "dynamic"
-      mass              = 1000
-      linearDamping     = 0.7
-      angularDamping    = 0.9999999
-      >
+			lift = 1;
+			stallSpeed = 220;
 
-      <!-- Testsphere in testlevel -->
-      <MovableEntity position="0,0,0" rotationrate="5.0" rotationaxis="0,1,0" mass=100 collisionType="dynamic"         collisiondamage=0.05 enablecollisiondamage=true>
+			boostPower            = 30
+			boostPowerRate        = 1.5
+			boostRate             = 4
+			boostCooldownDuration = 10
+
+			shakeFrequency = 15
+			shakeAmplitude = 9
+
+			collisionType     = "dynamic"
+			mass              = 1000
+			linearDamping     = 0.7
+			angularDamping    = 0.9999999
+			>
 
 
-        <attached>
-          <Model position="0,0,0" mesh="sphere.mesh" scale3D="100,20,100" />
-        </attached>
+			<!-- Engines of the Spaceship -->
 
-        <collisionShapes>
-        <SphereCollisionShape position="0,0,0" halfExtents="100,20,100" />
-      </collisionShapes>
-    
+			
 
-  </MovableEntity>
+			 <engines>
+				<MultiStateEngine position=" 15, 0, 0" template=bigshipengine />
+				<MultiStateEngine position="-15, 0, 0" template=bigshipengine />
+			</engines>
 
-    <!-- Large coordinate axis -->
-    <Model position="50,0,0" mesh="Coordinates.mesh" scale="20"/>
+			<!-- Testsphere in testlevel -->
+
+			<MovableEntity position ="0, 0, 0"  velocity= "10, 0, 0"  collisionType=dynamic mass=1000 friction=0.01 >
+
+				<!-- use attached for the different spaceship parts and the lights -->
+				<!-- BlinkingBillboard class for blinking lights -->
+				<attached>
+					<Model position="0,0,0" mesh="sphere.mesh" scale3D="100,100,100" />
+				</attached>
+
+				<!-- Collision Shapes -->
+
+				<collisionShapes>
+				<SphereCollisionShape position="0,0,0" radius="100" />
+			</collisionShapes>
+		</MovableEntity>
+
+		<!-- Explosion and Explosionparts -->
+
+		<!-- Cameras and Cameraposition -->
+
+		<!-- Multistateengine definition + engine sounds -->
+
+		<!-- Large coordinate axis -->
+		<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+
+		<!-- Spawnpoint of the Spaceship -->
+		<SpawnPoint team=0 position = "-100,0,0" lookat="0,0,0" spawnclass=Spaceship pawndesign=spaceshippirate />
+
+		<!-- Planets and forcefields -->
 
 
-    />
-  </Spaceship>
+		<!-- Blacklight to illuminate surfaces -->
+
+		
+
+		<!-- Egine sound of the Spaceship -->
+		<WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+
+		<!-- World Ambient Sound -->
+		
+	</SpaceShip>
 </Template>
 </templates>
+
 <?lua include("includes/notifications.oxi") ?>
 
Index: code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw	(revision 11259)
+++ code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw	(revision 11259)
@@ -0,0 +1,41 @@
+<LevelInfo
+ name = "Endurance1"
+ description = "A level with absolutely nothing in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    <MovableEntity position="0,0,0" >
+      <templates>
+        <Template link=endurance/>
+      </templates>
+    </MovableEntity>
+    
+  </Scene>
+</Level>
+
Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11259)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11259)
@@ -0,0 +1,252 @@
+<Template name=endurance>
+
+
+	<MovableEntity collisionType=kinematic mass=10000 lineardamping=0.99 angularDamping=0.99 rotationaxis = "1,0,0" rotationrate="5,0,0">
+	<attached>
+
+	<!-- Test endurance -->
+
+
+		<!-- coordinates (0,0,0) num 0-->
+
+		<StaticEntity collisionType=static position ="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10"/>
+
+				
+			</attached>
+
+
+		<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" lookat="-100,0,0"/>
+
+		</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (100,0,0) num 1-->
+
+		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,0,100" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+				<Model  mesh="Coordinates.mesh" scale="20"/>
+
+
+				
+
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10"  />
+
+			</collisionShapes>
+
+			
+			
+		<!-- coordinates (86,50,0) num 2 -->	
+
+		</StaticEntity>
+
+		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,50,86" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+				
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10"  />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,86,0) num 3 -->	
+
+		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,86,50" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,100,0) num 4 -->	
+
+		<StaticEntity collisionType=static position ="-100,100,0" lookat="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,86,0) num 5 -->	
+
+		<StaticEntity collisionType=static position ="-100,86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- coordinates (-86,50,0) num 6  -->	
+
+		<StaticEntity collisionType=static position ="-100,50,-86" lookat="-100,0,0" >
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-100,0,0) num 7 -->	
+
+		<StaticEntity collisionType=static position ="-100,0,-100" lookat="-100,0,0" direction="0,0,0" yaw="90" roll="90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-86,-50,0) num 8 -->	
+
+		<StaticEntity collisionType=static position ="-100,-50,-86" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,-86,0) num 9 -->	
+
+		<StaticEntity collisionType=static position ="-100,-86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,-100,0) num 10 -->	
+
+		<StaticEntity collisionType=static position ="-100,-100,0" lookat="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,-86,0) num 11 -->	
+
+		<StaticEntity collisionType=static position ="-100,-86,50" lookat="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,-50,0) num 12 -->	
+
+		<StaticEntity collisionType=static position ="-100,-50,86" lookat="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="10,10,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- x-coordinate = red,  z-coordinate = green, y-coordinate = blue, -->
+
+		<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+
+		
+
+
+
+
+
+
+		
+
+	</attached>
+
+	<collisionShapes>
+
+			<BoxCollisionShape position="-100,0,0" halfExtents="10,10,10" />
+
+			</collisionShapes>
+	
+		
+
+	</MovableEntity>
+
+</Template>
+
+
+
+
+
Index: code/branches/BigShip_HS16/data/levels/templates/test11.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/test11.oxt	(revision 11259)
+++ code/branches/BigShip_HS16/data/levels/templates/test11.oxt	(revision 11259)
@@ -0,0 +1,99 @@
+<templates>
+
+    
+    <Template name = endurance>
+
+      <!-- Spaceship parameters -->
+      <SpaceShip
+      hudtemplate            = spaceshiphud
+      camerapositiontemplate = bigshipcameras
+      spawnparticlesource    = "Orxonox/fairytwirl"
+      spawnparticleduration  = 3
+      explosionchunks        = 6
+
+      health            = 100
+      maxhealth         = 200
+      initialhealth     = 100
+
+      shieldhealth        = 100
+      initialshieldhealth = 30
+      maxshieldhealth     = 50
+      shieldabsorption    = 0.8
+      shieldrechargerate  = 1
+      shieldrechargewaittime = 1
+
+      primaryThrust     = 30
+      auxilaryThrust    = 30
+      rotationThrust    = 10
+
+      lift = 1;
+      stallSpeed = 220;
+
+      boostPower            = 30
+      boostPowerRate        = 1.5
+      boostRate             = 4
+      boostCooldownDuration = 10
+
+      shakeFrequency = 15
+      shakeAmplitude = 9
+
+      collisionType     = "dynamic"
+      mass              = 1000
+      linearDamping     = 0.7
+      angularDamping    = 0.9999999
+      >
+
+
+      <!-- Engines of the Spaceship -->
+
+      <engines>
+        <MultiStateEngine position=" 15, 0, 0" template=bigshipengine />
+        <MultiStateEngine position="-15, 0, 0" template=bigshipengine />
+      </engines>
+
+      <!-- Testsphere in testlevel -->
+
+      <MovableEntity position ="0, 0, 0"  velocity= "10, 0, 0"  collisionType=dynamic mass=1000 friction=0.01 >
+
+        <!-- use attached for the different spaceship parts and the lights -->
+        <!-- BlinkingBillboard class for blinking lights -->
+        <attached>
+          <Model position="0,0,0" mesh="sphere.mesh" scale3D="100,100,100" />
+        </attached>
+
+        <!-- Collision Shapes -->
+
+        <collisionShapes>
+        <SphereCollisionShape position="0,0,0" radius="100" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <!-- Explosion and Explosionparts -->
+
+    <!-- Cameras and Cameraposition -->
+
+    <!-- Multistateengine definition + engine sounds -->
+
+    <!-- Large coordinate axis -->
+    <Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+
+    <!-- Spawnpoint of the Spaceship -->
+    <SpawnPoint team=0 position = "-100,0,0" lookat="0,0,0" spawnclass=Spaceship pawndesign=spaceshippirate />
+
+    <!-- Planets and forcefields -->
+
+
+    <!-- Blacklight to illuminate surfaces -->
+
+    
+
+    <!-- Egine sound of the Spaceship -->
+    <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+
+    <!-- World Ambient Sound -->
+
+
+    
+  </Spaceship>
+</Template>
+</templates>