Index: /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11259)
+++ /code/branches/SpaceRace_HS16/data/levels/newnewnewspacerace.oxw	(revision 11260)
@@ -121,5 +121,5 @@
 
 
-    <!-- First checkpoint launch station -->
+    <!-- Launch station -->
   <StaticEntity mass="50" position="-400,-20,0" direction="0,-90,0" collisionType="static">
     <attached>
@@ -137,11 +137,170 @@
   </StaticEntity>
 
-
+   <!-- ---------------asteroid ellipse1----------------- -->
+    <?lua
+    max = 50
+    for i = 0, max, 1
+    do
+    x = i*1000
+    y = math.cos(i)*20
+    z = math.sin(i)*20
+    ?>
+    <?lua
+    for k = 1, 15, 1
+    do
+    j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 500) ?>,<?lua print(z + math.random() * 1000) ?>"
+      collisionType = "dynamic"
+      linearDamping = "0.5"
+      angularDamping = "0.01"
+      collisiondamage = "0.01"
+      enablecollisiondamage = "true"
+      scale="<?lua print(j * 5) ?>" >
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+      <?lua if k == 5 then ?><attached><!-- ---------asteroid fog----- -->
+            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+          </attached> <?lua end ?>
+        </Model>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 80) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+    <?lua
+    end
+    ?>
+    <?lua end ?>
+
+   <!-- ---------------asteroid ellipse1----------------- -->
+    <?lua
+    max = 50
+    for i = 0, max, 1
+    do
+    x = i*1000
+    y = math.cos(i)*-20
+    z = math.sin(i)*-20
+    ?>
+    <?lua
+    for k = 1, 15, 1
+    do
+    j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(x + math.random() * 500) ?>,<?lua print(y + math.random() * 500) ?>,<?lua print(z + math.random() * 1000) ?>"
+      collisionType = "dynamic"
+      linearDamping = "0.5"
+      angularDamping = "0.01"
+      collisiondamage = "0.01"
+      enablecollisiondamage = "true"
+      scale="<?lua print(j * 5) ?>" >
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+      <?lua if k == 5 then ?><attached><!-- ---------asteroid fog----- -->
+            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+          </attached> <?lua end ?>
+        </Model>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 80) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+    <?lua
+    end
+    ?>
+    <?lua end ?>
 
 
     <!-- ---------------ForceFields----------------- -->
-    <ForceField position="0,0,0" direction="0,-1,0" diameter=500 velocity=2000 length=1000/>
-
-<OldRaceCheckPoint name="checkpoint1" position="600,0,0" direction="1,0,0" collisionType="static" scale="1" distance="600" checkpointindex="0" islast="false"/>
+    <ForceField position="0,0,0" direction="0,-1,0" diameter=500 velocity=2000 length=1200/>
+
+   <!-- ------------------CheckPoints----------------- -->
+   <OldRaceCheckPoint name="checkpoint1" direction="0,2,0" position="800,20,0" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint>
+
+    <OldRaceCheckPoint name="checkpoint2" position="1600,60,40" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="1" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint3" position="2400,100,70" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="2" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint>     
+
+    <OldRaceCheckPoint name="checkpoint4" position="3200,150,120" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="3" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint>    
+
+    <OldRaceCheckPoint name="checkpoint5" position="4000,200,140" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="4" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint>  
+
+    <OldRaceCheckPoint name="checkpoint6" position="4800,100,100" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="5" islast="false">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
+
+    <OldRaceCheckPoint name="checkpoint7" position="5600,0,-20" stayActive="true" collisionType="static" scale="1" distance="40" checkpointindex="6" islast="true">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="0,0,-55"     halfExtents="55, 10, 10" />
+            <BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+            <BoxCollisionShape position="-55,0,0"     halfExtents="10, 10, 55" />
+        </collisionShapes>
+    </OldRaceCheckPoint> 
 
   </Scene>
Index: /code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw	(revision 11259)
+++ /code/branches/SpaceRace_HS16/data/levels/spaceRace.oxw	(revision 11260)
@@ -360,5 +360,5 @@
     <OldRaceCheckPoint name="checkpoint10" position="0,-2100,0" collisionType="static" scale="1" distance="40" checkpointindex="9" islast="true" timelimit="150">
         <attached>
-        <   Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
         </attached>
         <collisionShapes>
Index: /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt
===================================================================
--- /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11259)
+++ /code/branches/SpaceRace_HS16/data/levels/templates/fastship.oxt	(revision 11260)
@@ -17,18 +17,19 @@
    shieldrechargewaittime = 1
 
-   primaryThrust     = 500
-   auxilaryThrust    = 50
-   rotationThrust    = 70
+   primaryThrust     = 10000
+   auxilaryThrust    = 10000
+   rotationThrust    = 50
 
-   lift = 1;
+   lift = 0;
    stallSpeed = 220;
 
-   boostPower            = 500
-   boostPowerRate        = 5
+
+   boostPower            = 1500
+   boostPowerRate        = 10
    boostRate             = 10
    boostCooldownDuration = 10
 
-   shakeFrequency = 60
-   shakeAmplitude = 30
+   shakeFrequency = 30
+   shakeAmplitude = 15
 
    collisionType     = "dynamic"
@@ -84,8 +85,8 @@
 <Template name=spaceshipassffengine baseclass=MultiStateEngine>
   <MultiStateEngine
-   boostfactor    = 2
+  boostfactor    = 20
 
-   speedfront     = 300
-   speedback      = 100
+   speedfront     =  500
+   speedback      =  500
    speedleftright =  50
    speedupdown    =  50
@@ -94,6 +95,6 @@
    defEngineSndBoost = "sounds/Engine_high.ogg"
    
-   accelerationfront     = 1000
-   accelerationbrake     = 1000
+   accelerationfront     = 5000
+   accelerationbrake     = 5000
    accelerationback      =  125
    accelerationleftright =  125
Index: /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11259)
+++ /code/branches/SpaceRace_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11260)
@@ -88,5 +88,5 @@
             int s = this->clock_.getSeconds();
             int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
-            const std::string& message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
+            const std::string& message = "Congratulations! Last check point reached after "+ multi_cast<std::string>(s)
                         + "." + multi_cast<std::string>(ms) + " seconds.";
             this->getGametypeInfo()->sendAnnounceMessage(message);