Index: /code/branches/Dialog_HS16/data/levels/missionOne.oxw
===================================================================
--- /code/branches/Dialog_HS16/data/levels/missionOne.oxw	(revision 11260)
+++ /code/branches/Dialog_HS16/data/levels/missionOne.oxw	(revision 11261)
@@ -24,6 +24,4 @@
  gametype     = "Mission"
 >
-  <Dialogue message="test">
-    </Dialogue>
   <templates>
     <Template link=lodtemplate_default />
@@ -33,5 +31,5 @@
   <NotificationQueueCEGUI
     name="narrative"
-    targets="simpleNotification"
+    targets="simpleNotification,dialogue"
     size=3
     displayTime=3.9
@@ -42,4 +40,5 @@
     displaySize="0.6, 0, 0, 0"
     />
+
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
@@ -372,5 +371,5 @@
 
     <DistanceTrigger name="spawndelaytrigger0" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=2/>
-    <SimpleNotification message="Press (F3) to see your mission briefing.">
+    <Dialogue message="Press (F3) to see your mission briefing.">
         <events>
             <trigger>
@@ -378,5 +377,5 @@
             </trigger>
         </events>
-    </SimpleNotification>
+    </Dialogue>
 
 <!-- Blinking Billboard should be replaced with WAYPOINT -->
@@ -411,5 +410,5 @@
 
     <DistanceTrigger name="flying1" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=6/>
-    <Dialogue message="Let's fly to the blinking light.">
+    <SimpleNotification message="Let's fly to the blinking light.">
         <events>
             <trigger>
@@ -417,5 +416,5 @@
             </trigger>
         </events>
-    </Dialogue>
+    </SimpleNotification>
 
     <DistanceTrigger name="flying2" position="800,700,600" target="Pawn" distance=10 stayActive="true" delay=10/>
@@ -434,5 +433,5 @@
 
 
-    <SimpleNotification message="Three arrows just appeared.">
+    <Dialogue message="Three arrows just appeared.">
         <events>
             <trigger>
@@ -440,5 +439,5 @@
             </trigger>
         </events>
-    </SimpleNotification>
+    </Dialogue>
 
     <DistanceTrigger name="flying5" position="-900,640,600" target="Pawn" distance=60 stayActive="true" delay=5/>
Index: /code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h	(revision 11260)
+++ /code/branches/Dialog_HS16/src/modules/notifications/NotificationDispatcher.h	(revision 11261)
@@ -126,4 +126,6 @@
             virtual const std::string& createNotificationMessage(void)
                 { return BLANKSTRING; }
+            virtual const std::string& createNotificationSpeaker(void)
+                { return BLANKSTRING; }
 
     };
Index: /code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h	(revision 11260)
+++ /code/branches/Dialog_HS16/src/modules/notifications/NotificationManager.h	(revision 11261)
@@ -94,5 +94,5 @@
         private:
             std::string message_; //!< The Notification message.
-            std::string sender_; //!< The sender of the notification.
+            std::string sender_; //!< The sender of the notifications.
             NotificationMessageType type_; //!< The type of the notification.
 
Index: /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11260)
+++ /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11261)
@@ -10,6 +10,11 @@
 	RegisterClass(Dialogue);
 
-	Dialogue::Dialogue(Context* context):BaseObject(context){
+	Dialogue::Dialogue(Context* context):NotificationDispatcher(context){
 		RegisterObject(Dialogue);
+
+		this->setSender("dialogue");
+
+        this->setSyncMode(ObjectDirection::None);
+
 
 	}
@@ -24,5 +29,6 @@
 
         XMLPortParam(Dialogue, "message", setMessage, getMessage, xmlelement, mode);
-        orxout()<<"blablab";
+        //XMLPortParam(Dialogue, "speaker", setSpeaker, getSpeaker, xmlelement, mode);
+        
     }
 }
Index: /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11260)
+++ /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11261)
@@ -3,9 +3,13 @@
 #define _Dialogue_H__
 #include <string>	
-#include "core/BaseObject.h"
+//#include "core/BaseObject.h"
+
+#include "notifications/NotificationsPrereqs.h"
+
+#include "notifications/NotificationDispatcher.h"
 
 namespace orxonox{
 
-class Dialogue: public BaseObject{
+class _NotificationsExport Dialogue: public NotificationDispatcher{
 
 	public:
@@ -17,13 +21,20 @@
             const std::string& getMessage(void)
                 { return this->message_; }
-
-            void setMessage(const std::string& message)
-                { this->message_ = message; }
+         //   const std::string& getSpeaker(void)
+            //	{return this->speaker_;}
 
     protected:
     	virtual const std::string& createNotificationMessage(void)
                 { return this->message_; }
+       // virtual const std::string& createNotificationSpeaker(void)
+        //		{ return this->speaker_; }
     private:
     		std::string message_;
+    	//	std::string speaker_;
+
+    		void setMessage(const std::string& message)
+                { this->message_ = message; }
+           // void setSpeaker(const std::string& speaker)
+            //	{ this->speaker_ = speaker;}
         } ;       
 