Index: code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw	(revision 11267)
+++ code/branches/BigShip_HS16/data/levels/endurancetestlevel.oxw	(revision 11268)
@@ -29,5 +29,5 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="-200,0,0" lookat="-100,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
     <MovableEntity position="0,0,0" >
@@ -36,4 +36,5 @@
       </templates>
     </MovableEntity>
+
     
   </Scene>
Index: code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt
===================================================================
--- code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11267)
+++ code/branches/BigShip_HS16/data/levels/templates/endurancetest_template.oxt	(revision 11268)
@@ -2,13 +2,44 @@
 
 
-	<MovableEntity collisionType=kinematic mass=10000 lineardamping=0.99 angularDamping=0.99 rotationaxis = "1,0,0" rotationrate="5,0,0">
-	<attached>
+	<ModularSpaceShip collisionType=kinematic mass=10000 lineardamping=0.99 angularDamping=0.99 rotationaxis = "1,0,0" explosionchunks = 12 >
+	
 
 	<!-- Test endurance -->
 
-
+	<parts>
+        <ShipPart name="part0" initialhealth="1" maxhealth="1" damageabsorption="0" explosionposition="-100,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="part" targetParam="health" operation="destroy" value="0.5" message="middle cube destroyed!"/>
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name="part1" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,0,100">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name="part2" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,50,86">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name="part3" initialhealth="10" maxhealth="10" damageabsorption="0.5" explosionposition="-100,86,50">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship" targetParam="shieldhealth" operation="*" value="0.5"/>
+            </destructionevents>
+        </ShipPart>
+
+    </parts>
+
+
+
+
+
+    <attached>
 		<!-- coordinates (0,0,0) num 0-->
 
-		<StaticEntity collisionType=static position ="-100,0,0">
+		<StaticEntity name= "part0" collisionType=static position ="-100,0,0">
 			<attached>
 				<Model  mesh="cube.mesh" scale="10"/>
@@ -17,8 +48,7 @@
 			</attached>
 
-
 		<collisionShapes>
 
-			<BoxCollisionShape  halfExtents="10,10,10" lookat="-100,0,0"/>
+			<BoxCollisionShape  halfExtents="10,10,10" lookat="-100,0,0" info ="part0"/>
 
 		</collisionShapes>
@@ -28,5 +58,9 @@
 		<!-- coordinates (100,0,0) num 1-->
 
-		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,0,100" direction="0,0,0" yaw="-90" roll="-90">
+		<StaticEntity name= "part1" collisionType=static lookat="-100,0,0" position ="-100,0,100" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
+
+			
+
+
 			<attached>
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
@@ -34,7 +68,10 @@
 
 
-				
-
-				
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
 
 			</attached>
@@ -52,5 +89,5 @@
 		</StaticEntity>
 
-		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,50,86" direction="0,0,0" yaw="-90" roll="-90">
+		<StaticEntity name = "part2" collisionType=static lookat="-100,0,0" position ="-100,50,86" direction="0,0,0" yaw="-90" roll="-90">
 			<attached>
 				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
@@ -68,7 +105,14 @@
 		<!-- coordinates (50,86,0) num 3 -->	
 
-		<StaticEntity collisionType=static lookat="-100,0,0" position ="-100,86,50" direction="0,0,0" yaw="-90" roll="-90">
+		<StaticEntity name="part3" collisionType=static lookat="-100,0,0" position ="-100,86,50" direction="0,0,0" yaw="-90" roll="-90">
 			<attached>
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
 			</attached>
 
@@ -83,5 +127,5 @@
 		<!-- coordinates (0,100,0) num 4 -->	
 
-		<StaticEntity collisionType=static position ="-100,100,0" lookat="-100,0,0">
+		<StaticEntity name ="part4" collisionType=static position ="-100,100,0" lookat="-100,0,0">
 			<attached>
 				<Model  mesh="cube.mesh" scale="10" />
@@ -100,5 +144,5 @@
 		<!-- coordinates (-50,86,0) num 5 -->	
 
-		<StaticEntity collisionType=static position ="-100,86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
+		<StaticEntity name= "part5" collisionType=static position ="-100,86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
 			<attached>
 				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
@@ -116,5 +160,5 @@
 		<!-- coordinates (-86,50,0) num 6  -->	
 
-		<StaticEntity collisionType=static position ="-100,50,-86" lookat="-100,0,0" >
+		<StaticEntity name="part6" collisionType=static position ="-100,50,-86" lookat="-100,0,0" >
 			<attached>
 				<Model  mesh="cube.mesh" scale="10" />
@@ -131,7 +175,14 @@
 		<!-- coordinates (-100,0,0) num 7 -->	
 
-		<StaticEntity collisionType=static position ="-100,0,-100" lookat="-100,0,0" direction="0,0,0" yaw="90" roll="90">
+		<StaticEntity name= "part7" collisionType=static position ="-100,0,-100" lookat="-100,0,0" direction="0,0,0" yaw="90" roll="90">
 			<attached>
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
 			</attached>
 
@@ -146,5 +197,5 @@
 		<!-- coordinates (-86,-50,0) num 8 -->	
 
-		<StaticEntity collisionType=static position ="-100,-50,-86" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90" >
+		<StaticEntity name ="part8" collisionType=static position ="-100,-50,-86" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90" >
 			<attached>
 				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
@@ -162,7 +213,14 @@
 		<!-- coordinates (-50,-86,0) num 9 -->	
 
-		<StaticEntity collisionType=static position ="-100,-86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
+		<StaticEntity name="part9" collisionType=static position ="-100,-86,-50" lookat="-100,0,0" direction="0,0,0" yaw="-90" roll="-90">
 			<attached>
 				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
 			</attached>
 
@@ -177,7 +235,9 @@
 		<!-- coordinates (0,-100,0) num 10 -->	
 
-		<StaticEntity collisionType=static position ="-100,-100,0" lookat="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
+		<StaticEntity name ="part10" collisionType=static position ="-100,-100,0" lookat="-100,0,0">
+			<attached>
+				
+				<Model  mesh="cube.mesh" scale="10" />
+
 			</attached>
 
@@ -192,5 +252,5 @@
 		<!-- coordinates (50,-86,0) num 11 -->	
 
-		<StaticEntity collisionType=static position ="-100,-86,50" lookat="-100,0,0">
+		<StaticEntity name ="part11" collisionType=static position ="-100,-86,50" lookat="-100,0,0">
 			<attached>
 				<Model  mesh="cube.mesh" scale="10" />
@@ -207,7 +267,10 @@
 		<!-- coordinates (86,-50,0) num 12 -->	
 
-		<StaticEntity collisionType=static position ="-100,-50,86" lookat="-100,0,0">
-			<attached>
-				<Model  mesh="cube.mesh" scale="10" />
+		<StaticEntity name ="part12" collisionType=static position ="-100,-50,86" lookat="-100,0,0">
+			<attached>
+				<Model  mesh="cube.mesh" scale="10" />
+				
+
+      
 			</attached>
 
@@ -224,15 +287,29 @@
 		<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
 
+		<StaticEntity collisionType=static position ="-100,-70,75" lookat="-100,0,0" yaw="90" roll="0" pitch="90" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="4" />
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="4,4,4" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
 		
-
-
-
-
-
-
 		
 
 	</attached>
 
+
+    
+
 	<collisionShapes>
 
@@ -241,7 +318,17 @@
 			</collisionShapes>
 	
+
+	<explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+    </explosion>
 		
 
-	</MovableEntity>
+	</ModularSpaceShip>
+
+	
+
+
 
 </Template>