Index: code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11255)
+++ code/branches/StoryModeMap_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11269)
@@ -97,5 +97,5 @@
 
 function P.loadLevel(level)
-    orxonox.execute("startGame " .. level:getXMLFilename())
+    orxonox.execute("changeGame " .. level:getXMLFilename())
     hideAllMenuSheets()
 end
@@ -118,5 +118,6 @@
 
 function P.CampaignMenuBackButton_clicked(e)
-    hideMenuSheet(P.name)
+    orxonox.execute("startMainMenu")
+    hideMenuSheet("CampaignMenu")
 end
 
Index: code/branches/StoryModeMap_HS16/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/StoryModeMap_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11255)
+++ code/branches/StoryModeMap_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11269)
@@ -172,5 +172,7 @@
 
 function P.CampaignButton_clicked(e)
-    showMenuSheet("CampaignMenu", true)
+    -- showMenuSheet("CampaignMenu", true)
+    hideAllMenuSheets()
+    orxonox.execute("startGame StoryModeMap.oxw")
 end
 
Index: code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw
===================================================================
--- code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11255)
+++ code/branches/StoryModeMap_HS16/data/levels/StoryModeMap.oxw	(revision 11269)
@@ -12,6 +12,5 @@
   include("StoryModeHUD.oxo")
   include("templates/lodInformation.oxt")
-  include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipEscort.oxt")
+  include("templates/StoryMode.oxt")
 
   include("templates/lodInformation.oxt")
@@ -113,4 +112,6 @@
 
   </ControllableEntity>
+
+
 </Template>
 
@@ -118,8 +119,6 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    
-    <!--<SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />/-->
 
-    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=spaceshipassff />
+    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=StoryMode />
     
   </Scene>
Index: code/branches/StoryModeMap_HS16/data/levels/templates/StoryMode.oxt
===================================================================
--- code/branches/StoryModeMap_HS16/data/levels/templates/StoryMode.oxt	(revision 11269)
+++ code/branches/StoryModeMap_HS16/data/levels/templates/StoryMode.oxt	(revision 11269)
@@ -0,0 +1,21 @@
+<Template name=StoryMode>
+  <SpaceShip
+   hudtemplate            = StoryModeMap
+   camerapositiontemplate = spaceshipghostcameras
+   
+  >
+   
+
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipghostcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,20,80" drag=true mouselook=true />
+      <CameraPosition position="0,40,160" drag=true mouselook=true />
+      <CameraPosition position="0,50,200" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
Index: code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo
===================================================================
--- code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo	(revision 11255)
+++ code/branches/StoryModeMap_HS16/data/overlays/StoryModeHUD.oxo	(revision 11269)
@@ -1,44 +1,7 @@
-<!--
-<Template name="defaultHUD">
-  <OverlayGroup name = "defaultHUD" scale = "1, 1">
-    <ChatOverlay
-     name     = "chat"
-     position = "0.03, 0.5"
-     font     = "VeraMono"
-     caption  = ""
-     textsize = 0.025
-    />
 
-    <GametypeStatus
-     name     = "state"
-     position = "0.5, 0.85"
-     font     = "VeraMono"
-     textsize = 0.05
-     colour   = "1.0, 1.0, 0.0, 0.8"
-     align    = "center"
-    />
-  </OverlayGroup>
-</Template>
--->
-
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
-
-
-<Template name="spaceshiphud">
+<Template name="StoryModeMap">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
     <Map />
 
-
-    
-
-    <GUIOverlay
-      name = "QuestGUI"
-      guiname = "QuestGUI"
-      visible = "false"
-    />
 
      <GUIOverlay